using UnityEngine;
using System.Collections;

public class UIManager : MonoBehaviour
{

    public WtfManager WtfManager;
    public CreditsManager creditsManager;

    void Start()
    {
        GetComponent<AudioSource>().time = (7.5f);
        GetComponent<AudioSource>().Play();
    }

    // Update is called once per frame
    void Update()
    {

    }

    public void StartGame(bool AsMan)
    {
        GameManager.Instance().PlayAsMan(AsMan);

        var sceneManager = FindObjectOfType<GameSceneManager>();
        if (sceneManager != null)
            sceneManager.LoadGameScene();


    }

    public void StartWtf()
    {
        if (WtfManager != null)
            WtfManager.FadeIn();

    }

    public void StartCredits()
    {
        if (creditsManager != null)
            creditsManager.Open();

    }

    public void GameOver(bool Win)
    {
        GameManager.Instance().GameOver(Win);
    }
}
